import objectdraw.*;
import java.awt.*;

public class Chatty extends FrameWindowController implements ClientListener {
	Location outputPoint;
	Client network;
	
	public void begin() {
		outputPoint = new Location(20, 20);
		
		Network.configure("Chatty", ServerListener.ECHO, this);
	}
	
	public void onEnterPress() {
		// Change this to send a different message
		network.sendMessage("Hello world!");
	}

	public void clientConnected(Client client) {
		network = client;
	}

	public void clientDisconnected(Client client) {
	}

	public void messageReceived(Client client, String message) {
		new Text(message, outputPoint, canvas);
		outputPoint.translate(0, 12);
	}
	
	public static void main(String[] args) {
		new Chatty();
	}
}
