import objectdraw.*;
import java.awt.*;

public class NetLineDrawing extends FrameWindowController implements ClientListener {
	Client network;
	Line line;
	
	public void begin() {
		Network.configure("NetLineDrawing", ServerListener.ECHO, this);
	}
	
	public String encodeLine(Line line) {
		return null;
	}
	
	public Line decodeLine(String message) {
		return null;
	}
	
	public String encodeLocation(Location point) {
		String x = Integer.toString(point.getX());
		String y = Integer.toString(point.getY());
		return x + "," + y;
	}
	
	public Location decodeLocation(String message) {
		int pos = message.indexOf(",");
		int x = Integer.parseInt(message.substring(0, pos));
		int y = Integer.parseInt(message.substring(pos + 1));
		return new Location(x, y);
	}

	public void onMousePress(Location point) {
		line = new Line(point, point, canvas);
	}
	
	public void onMouseDrag(Location point) {
		line.setEnd(point);
	} 
	
	public void onMouseRelease(Location point) {
		line.removeFromCanvas();
		network.sendMessage(encodeLine(line));
	}

	public void messageReceived(Client client, String message) {
		Line line = decodeLine(message);
	}

	public void clientConnected(Client client) {
		network = client;
	}

	public void clientDisconnected(Client client) {
	}

	public static void main(String[] args) {
		new NetLineDrawing();
	}
}
