import objectdraw.*;

import java.awt.*;

public class ColoredSpottyServer implements ServerListener {
	public void messageReceived(Server server, int channelID, String channelName, String message) { 
		Location point = Code.decodeLocation(message);
		point.translate(-10, -10);
		
		String reply = Code.encodeLocation(point) + ";" + channelID;
		server.sendMessage(reply);
	}
	
	public void channelClosed(Server server, int channelID, String channelName) { }
	public void channelOpened(Server server, int channelID, String channelName) { }
	public void serverStarted(Server server) { }
	public void serverStopped(Server server) { }
}
